package com.microduino.flutter_js_bridge;

import android.content.Context;

import java.util.Map;

import io.flutter.plugin.common.BinaryMessenger;
import io.flutter.plugin.common.StandardMessageCodec;
import io.flutter.plugin.platform.PlatformView;
import io.flutter.plugin.platform.PlatformViewFactory;

/**
 * Created by Gloria Guo on ${Date}.
 */
public final class FlutterBridgeWebViewFactory extends PlatformViewFactory {
    private final BinaryMessenger messenger;

    public FlutterBridgeWebViewFactory(BinaryMessenger messenger) {
        super(StandardMessageCodec.INSTANCE);
        this.messenger = messenger;
    }

    @SuppressWarnings("unchecked")
    @Override
    public PlatformView create(Context context, int id, Object args) {
        Map<String, Object> params = (Map<String, Object>) args;
        return new FlutterBridgeWebView(context, messenger, id, params);
    }
}
